org.eclipse.incquery.runtime.rete.recipes

## Interface ReteNodeRecipe

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    AggregatorIndexerRecipe, AggregatorRecipe, AlphaRecipe, AntiJoinRecipe, BetaRecipe, CheckRecipe, ConstantRecipe, CountAggregatorRecipe, EqualityFilterRecipe, EvalRecipe, ExistenceJoinRecipe, ExpressionEnforcerRecipe, FilterRecipe, IndexerRecipe, InequalityFilterRecipe, InputFilterRecipe, InputRecipe, JoinRecipe, MultiParentNodeRecipe, ProductionRecipe, ProjectionIndexerRecipe, SemiJoinRecipe, SingleParentNodeRecipe, TransitiveClosureRecipe, TransparentRecipe, TrimmerRecipe, UniquenessEnforcerRecipe
  All Known Implementing Classes:
    AggregatorIndexerRecipeImpl, AggregatorRecipeImpl, AlphaRecipeImpl, AntiJoinRecipeImpl, BetaRecipeImpl, CheckRecipeImpl, ConstantRecipeImpl, CountAggregatorRecipeImpl, EqualityFilterRecipeImpl, EvalRecipeImpl, ExistenceJoinRecipeImpl, ExpressionEnforcerRecipeImpl, FilterRecipeImpl, IndexerRecipeImpl, InequalityFilterRecipeImpl, InputFilterRecipeImpl, InputRecipeImpl, JoinRecipeImpl, MultiParentNodeRecipeImpl, ProductionRecipeImpl, ProjectionIndexerRecipeImpl, ReteNodeRecipeImpl, SemiJoinRecipeImpl, SingleParentNodeRecipeImpl, TransitiveClosureRecipeImpl, TransparentRecipeImpl, TrimmerRecipeImpl, UniquenessEnforcerRecipeImpl

      public interface ReteNodeRecipe
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Rete Node Recipe'. Abstract base class for model elements that represent "Rete node recipes", that is DTOs that carry information for Rete network construction.

  The following features are supported:

  - `Trace Info`
  See Also:
    `RecipesPackage.getReteNodeRecipe()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getArity()` The width of tuples contained by this node.
    `java.lang.String` | `getTraceInfo()` Returns the value of the 'Trace Info' attribute.
    `void` | `setTraceInfo(java.lang.String value)` Sets the value of the '`Trace Info`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTraceInfo

          java.lang.String getTraceInfo()

      Returns the value of the 'Trace Info' attribute. Temporary construct for storing traceability information.
      Returns:
        the value of the 'Trace Info' attribute.
      See Also:
        `setTraceInfo(String)`, `RecipesPackage.getReteNodeRecipe_TraceInfo()`

    - #### setTraceInfo

          void setTraceInfo(java.lang.String value)

      Sets the value of the '`Trace Info`' attribute.
      Parameters:
        `value` - the new value of the 'Trace Info' attribute.
      See Also:
        `getTraceInfo()`

    - #### getArity

          int getArity()

      The width of tuples contained by this node.